Bullet Collision Detection & Physics Library: btMultiBodyDoubleData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btMultiBodyDoubleData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btMultiBody.h>`

Collaboration diagram for btMultiBodyDoubleData:
[legend]

## Public Attributes
btVector3DoubleData | m_baseWorldPosition
btQuaternionDoubleData | m_baseWorldOrientation
btVector3DoubleData | m_baseLinearVelocity
btVector3DoubleData | m_baseAngularVelocity
btVector3DoubleData | m_baseInertia
double | m_baseMass
int | m_numLinks
char | m_padding [4]
char * | m_baseName
btMultiBodyLinkDoubleData * | m_links
btCollisionObjectDoubleData * | m_baseCollider

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 920 of file btMultiBody.h.

## Member Data Documentation

## ◆ m_baseAngularVelocity

btVector3DoubleData btMultiBodyDoubleData::m_baseAngularVelocity

Definition at line 925 of file btMultiBody.h.

## ◆ m_baseCollider

btCollisionObjectDoubleData* btMultiBodyDoubleData::m_baseCollider

Definition at line 933 of file btMultiBody.h.

## ◆ m_baseInertia

btVector3DoubleData btMultiBodyDoubleData::m_baseInertia

Definition at line 926 of file btMultiBody.h.

## ◆ m_baseLinearVelocity

btVector3DoubleData btMultiBodyDoubleData::m_baseLinearVelocity

Definition at line 924 of file btMultiBody.h.

## ◆ m_baseMass

double btMultiBodyDoubleData::m_baseMass

Definition at line 927 of file btMultiBody.h.

## ◆ m_baseName

char* btMultiBodyDoubleData::m_baseName

Definition at line 931 of file btMultiBody.h.

## ◆ m_baseWorldOrientation

btQuaternionDoubleData btMultiBodyDoubleData::m_baseWorldOrientation

Definition at line 923 of file btMultiBody.h.

## ◆ m_baseWorldPosition

btVector3DoubleData btMultiBodyDoubleData::m_baseWorldPosition

Definition at line 922 of file btMultiBody.h.

## ◆ m_links

btMultiBodyLinkDoubleData* btMultiBodyDoubleData::m_links

Definition at line 932 of file btMultiBody.h.

## ◆ m_numLinks

int btMultiBodyDoubleData::m_numLinks

Definition at line 928 of file btMultiBody.h.

## ◆ m_padding

char btMultiBodyDoubleData::m_padding[4]

Definition at line 929 of file btMultiBody.h.

The documentation for this struct was generated from the following file:

- btMultiBody.h